package com.tptj.demo.hg.background.quick.ui;

import java.awt.*;
import java.util.HashMap;
import java.util.Map;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-02-26
 **/
public enum ThemeManager {
    INSTANCE;
    private Map<String,Map<String, Color>> tags = new HashMap<String, Map<String, Color>>();

    public static ThemeManager getInstance(){
        if( INSTANCE.tags.isEmpty() ){
            synchronized (ThemeManager.class){
                if( INSTANCE.tags.isEmpty() ){
                    INSTANCE.init();
                }
            }
        }
        return INSTANCE;
    }

    private void init(){
        //Theme1
        Map<String, Color> theme1 = new HashMap<String, Color>();
        theme1.put("Lv1",Color.BLACK);
        theme1.put("Lv2",Color.BLUE);
        tags.put("Theme1",theme1);
        //Theme2
        Map<String, Color> theme2 = new HashMap<String, Color>();
        theme2.put("Lv1",Color.GRAY);
        theme2.put("Lv2",Color.CYAN);
        tags.put("Theme2",theme2);
    }

    public Color getColor( String group, String tag ){
        Map<String, Color> theme = tags.get(group);
        if( null == theme ){
            return null;
        }
        return theme.get(tag);
    }

    public String[] getThemes(){
        return tags.keySet().toArray(new String[0]);
    }

    public String[] getTags(){
        return tags.get("Theme1").keySet().toArray(new String[0]);
    }
}
